!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 174

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1256)
  integer, parameter :: nGC_8648 = 1
  integer, parameter :: nGC_131 = 2
  integer, parameter :: nGC_8643 = 3
  integer, parameter :: nGC_8708 = 4
  integer, parameter :: nGC_8644 = 5
  integer, parameter :: nGC_8701 = 6
  integer, parameter :: nGC_8703 = 7
  integer, parameter :: nGC_8883 = 8
  integer, parameter :: nGC_100 = 9
  integer, parameter :: nGC_8792 = 10
  integer, parameter :: nGC_8821 = 11
  integer, parameter :: nGC_8790 = 12
  integer, parameter :: nGC_8791 = 13
  integer, parameter :: nGC_8796 = 14
  integer, parameter :: nGC_8651 = 15
  integer, parameter :: nGC_8794 = 16
  integer, parameter :: nGC_8795 = 17
  integer, parameter :: nGC_8828 = 18
  integer, parameter :: nGC_8798 = 19
  integer, parameter :: nGC_8799 = 20
  integer, parameter :: nGC_MZ_GF = 21
  integer, parameter :: nGC_98 = 22
  integer, parameter :: nGC_102 = 23
  integer, parameter :: nGC_28 = 24
  integer, parameter :: nGC_29 = 25
  integer, parameter :: nGC_22 = 26
  integer, parameter :: nGC_23 = 27
  integer, parameter :: nGC_20 = 28
  integer, parameter :: nGC_21 = 29
  integer, parameter :: nGC_26 = 30
  integer, parameter :: nGC_27 = 31
  integer, parameter :: nGC_24 = 32
  integer, parameter :: nGC_25 = 33
  integer, parameter :: nGC_8675 = 34
  integer, parameter :: nGC_150 = 35
  integer, parameter :: nGC_24526 = 36
  integer, parameter :: nGC_24524 = 37
  integer, parameter :: nGC_24525 = 38
  integer, parameter :: nGC_24440 = 39
  integer, parameter :: nGC_81 = 40
  integer, parameter :: nGC_GG = 41
  integer, parameter :: nGC_126 = 42
  integer, parameter :: nGC_127 = 43
  integer, parameter :: nGC_124 = 44
  integer, parameter :: nGC_125 = 45
  integer, parameter :: nGC_122 = 46
  integer, parameter :: nGC_123 = 47
  integer, parameter :: nGC_120 = 48
  integer, parameter :: nGC_121 = 49
  integer, parameter :: nGC_8840 = 50
  integer, parameter :: nGC_128 = 51
  integer, parameter :: nGC_8841 = 52
  integer, parameter :: nGC_MMW_GF = 53
  integer, parameter :: nGC_107 = 54
  integer, parameter :: nGC_8859 = 55
  integer, parameter :: nGC_8851 = 56
  integer, parameter :: nGC_8853 = 57
  integer, parameter :: nGC_8852 = 58
  integer, parameter :: nGC_8855 = 59
  integer, parameter :: nGC_8857 = 60
  integer, parameter :: nGC_8856 = 61
  integer, parameter :: nGC_MTA = 62
  integer, parameter :: nGC_I = 63
  integer, parameter :: nGC_232 = 64
  integer, parameter :: nGC_8757 = 65
  integer, parameter :: nGC_8754 = 66
  integer, parameter :: nGC_135 = 67
  integer, parameter :: nGC_8753 = 68
  integer, parameter :: nGC_8751 = 69
  integer, parameter :: nGC_114 = 70
  integer, parameter :: nGC_8759 = 71
  integer, parameter :: nGC_110 = 72
  integer, parameter :: nGC_8815 = 73
  integer, parameter :: nGC_8766 = 74
  integer, parameter :: nGC_8765 = 75
  integer, parameter :: nGC_3 = 76
  integer, parameter :: nGC_2 = 77
  integer, parameter :: nGC_1 = 78
  integer, parameter :: nGC_7 = 79
  integer, parameter :: nGC_5 = 80
  integer, parameter :: nGC_4 = 81
  integer, parameter :: nGC_8763 = 82
  integer, parameter :: nGC_9 = 83
  integer, parameter :: nGC_8 = 84
  integer, parameter :: nGC_HHGG = 85
  integer, parameter :: nGC_8663 = 86
  integer, parameter :: nGC_24548 = 87
  integer, parameter :: nGC_HHH = 88
  integer, parameter :: nGC_606 = 89
  integer, parameter :: nGC_MI = 90
  integer, parameter :: nGC_53 = 91
  integer, parameter :: nGC_52 = 92
  integer, parameter :: nGC_51 = 93
  integer, parameter :: nGC_50 = 94
  integer, parameter :: nGC_57 = 95
  integer, parameter :: nGC_56 = 96
  integer, parameter :: nGC_55 = 97
  integer, parameter :: nGC_54 = 98
  integer, parameter :: nGC_59 = 99
  integer, parameter :: nGC_58 = 100
  integer, parameter :: nGC_24470 = 101
  integer, parameter :: nGC_24471 = 102
  integer, parameter :: nGC_24472 = 103
  integer, parameter :: nGC_8629 = 104
  integer, parameter :: nGC_8627 = 105
  integer, parameter :: nGC_8623 = 106
  integer, parameter :: nGC_8621 = 107
  integer, parameter :: nGC_29103 = 108
  integer, parameter :: nGC_8603 = 109
  integer, parameter :: nGC_ME = 110
  integer, parameter :: nGC_109 = 111
  integer, parameter :: nGC_MD = 112
  integer, parameter :: nGC_24559 = 113
  integer, parameter :: nGC_111 = 114
  integer, parameter :: nGC_29617 = 115
  integer, parameter :: nGC_30035 = 116
  integer, parameter :: nGC_8718 = 117
  integer, parameter :: nGC_8712 = 118
  integer, parameter :: nGC_31031 = 119
  integer, parameter :: nGC_8716 = 120
  integer, parameter :: nGC_8714 = 121
  integer, parameter :: nGC_8881 = 122
  integer, parameter :: nGC_8885 = 123
  integer, parameter :: nGC_33312 = 124
  integer, parameter :: nGC_33315 = 125
  integer, parameter :: nGC_29246 = 126
  integer, parameter :: nGC_24438 = 127
  integer, parameter :: nGC_MM = 128
  integer, parameter :: nGC_29249 = 129
  integer, parameter :: nGC_8665 = 130
  integer, parameter :: nGC_8819 = 131
  integer, parameter :: nGC_8818 = 132
  integer, parameter :: nGC_8769 = 133
  integer, parameter :: nGC_8767 = 134
  integer, parameter :: nGC_8814 = 135
  integer, parameter :: nGC_8817 = 136
  integer, parameter :: nGC_8811 = 137
  integer, parameter :: nGC_8810 = 138
  integer, parameter :: nGC_8813 = 139
  integer, parameter :: nGC_8760 = 140
  integer, parameter :: nGC_17 = 141
  integer, parameter :: nGC_16 = 142
  integer, parameter :: nGC_15 = 143
  integer, parameter :: nGC_14 = 144
  integer, parameter :: nGC_13 = 145
  integer, parameter :: nGC_12 = 146
  integer, parameter :: nGC_11 = 147
  integer, parameter :: nGC_10 = 148
  integer, parameter :: nGC_520 = 149
  integer, parameter :: nGC_87 = 150
  integer, parameter :: nGC_19 = 151
  integer, parameter :: nGC_18 = 152
  integer, parameter :: nGC_134 = 153
  integer, parameter :: nGC_8662 = 154
  integer, parameter :: nGC_8661 = 155
  integer, parameter :: nGC_24531 = 156
  integer, parameter :: nGC_8669 = 157
  integer, parameter :: nGC_24430 = 158
  integer, parameter :: nGC_24538 = 159
  integer, parameter :: nGC_24555 = 160
  integer, parameter :: nGC_24565 = 161
  integer, parameter :: nGC_30259 = 162
  integer, parameter :: nGC_136 = 163
  integer, parameter :: nGC_6 = 164
  integer, parameter :: nGC_24384 = 165
  integer, parameter :: nGC_24385 = 166
  integer, parameter :: nGC_8616 = 167
  integer, parameter :: nGC_8612 = 168
  integer, parameter :: nGC_24549 = 169
  integer, parameter :: nGC_MW_GF = 170
  integer, parameter :: nGC_30466 = 171
  integer, parameter :: nGC_138 = 172
  integer, parameter :: nGC_8619 = 173
  integer, parameter :: nGC_30465 = 174
  integer, parameter :: nGC_1904 = 175
  integer, parameter :: nGC_1906 = 176
  integer, parameter :: nGC_24451 = 177
  integer, parameter :: nGC_30204 = 178
  integer, parameter :: nGC_130 = 179
  integer, parameter :: nGC_MH = 180
  integer, parameter :: nGC_104 = 181
  integer, parameter :: nGC_8865 = 182
  integer, parameter :: nGC_116 = 183
  integer, parameter :: nGC_132 = 184
  integer, parameter :: nGC_33400 = 185
  integer, parameter :: nGC_8775 = 186
  integer, parameter :: nGC_8722 = 187
  integer, parameter :: nGC_8724 = 188
  integer, parameter :: nGC_HHHH = 189
  integer, parameter :: nGC_8728 = 190
  integer, parameter :: nGC_24169 = 191
  integer, parameter :: nGC_24487 = 192
  integer, parameter :: nGC_24163 = 193
  integer, parameter :: nGC_24166 = 194
  integer, parameter :: nGC_8823 = 195
  integer, parameter :: nGC_8606 = 196
  integer, parameter :: nGC_8756 = 197
  integer, parameter :: nGC_32368 = 198
  integer, parameter :: nGC_32367 = 199
  integer, parameter :: nGC_32362 = 200
  integer, parameter :: nGC_32361 = 201
  integer, parameter :: nGC_24513 = 202
  integer, parameter :: nGC_24211 = 203
  integer, parameter :: nGC_8822 = 204
  integer, parameter :: nGC_8847 = 205
  integer, parameter :: nGC_8844 = 206
  integer, parameter :: nGC_8845 = 207
  integer, parameter :: nGC_8843 = 208
  integer, parameter :: nGC_8824 = 209
  integer, parameter :: nGC_105 = 210
  integer, parameter :: nGC_8848 = 211
  integer, parameter :: nGC_8849 = 212
  integer, parameter :: nGC_8826 = 213
  integer, parameter :: nGC_8827 = 214
  integer, parameter :: nGC_MB = 215
  integer, parameter :: nGC_8667 = 216
  integer, parameter :: nGC_29741 = 217
  integer, parameter :: nGC_48 = 218
  integer, parameter :: nGC_49 = 219
  integer, parameter :: nGC_8831 = 220
  integer, parameter :: nGC_44 = 221
  integer, parameter :: nGC_45 = 222
  integer, parameter :: nGC_46 = 223
  integer, parameter :: nGC_47 = 224
  integer, parameter :: nGC_40 = 225
  integer, parameter :: nGC_41 = 226
  integer, parameter :: nGC_42 = 227
  integer, parameter :: nGC_43 = 228
  integer, parameter :: nGC_24265 = 229
  integer, parameter :: nGC_24502 = 230
  integer, parameter :: nGC_24503 = 231
  integer, parameter :: nGC_24463 = 232
  integer, parameter :: nGC_24462 = 233
  integer, parameter :: nGC_24461 = 234
  integer, parameter :: nGC_8658 = 235
  integer, parameter :: nGC_24467 = 236
  integer, parameter :: nGC_24466 = 237
  integer, parameter :: nGC_24465 = 238
  integer, parameter :: nGC_24464 = 239
  integer, parameter :: nGC_8652 = 240
  integer, parameter :: nGC_24469 = 241
  integer, parameter :: nGC_24468 = 242
  integer, parameter :: nGC_8657 = 243
  integer, parameter :: nGC_8655 = 244
  integer, parameter :: nGC_8654 = 245
  integer, parameter :: nGC_24530 = 246
  integer, parameter :: nGC_8773 = 247
  integer, parameter :: nGC_828 = 248
  integer, parameter :: nGC_8802 = 249
  integer, parameter :: nGC_113 = 250
  integer, parameter :: nGC_2234 = 251
  integer, parameter :: nGC_24540 = 252
  integer, parameter :: nGC_8610 = 253
  integer, parameter :: nGC_24239 = 254
  integer, parameter :: nGC_137 = 255
  integer, parameter :: nGC_8614 = 256
  integer, parameter :: nGC_24215 = 257
  integer, parameter :: nGC_24219 = 258
  integer, parameter :: nGC_29745 = 259
  integer, parameter :: nGC_29744 = 260
  integer, parameter :: nGC_24131 = 261
  integer, parameter :: nGC_24130 = 262
  integer, parameter :: nGC_24546 = 263
  integer, parameter :: nGC_28966 = 264
  integer, parameter :: nGC_35104 = 265
  integer, parameter :: nGC_29861 = 266
  integer, parameter :: nGC_28905 = 267
  integer, parameter :: nGC_24550 = 268
  integer, parameter :: nGC_139 = 269
  integer, parameter :: nGC_30467 = 270
  integer, parameter :: nGC_GPGMGPGM = 271
  integer, parameter :: nGC_8618 = 272
  integer, parameter :: nGC_29862 = 273
  integer, parameter :: nGC_24431 = 274
  integer, parameter :: nGC_29257 = 275
  integer, parameter :: nGC_8637 = 276
  integer, parameter :: nGC_118 = 277
  integer, parameter :: nGC_8695 = 278
  integer, parameter :: nGC_24512 = 279
  integer, parameter :: nGC_29805 = 280
  integer, parameter :: nGC_133 = 281
  integer, parameter :: nGC_30751 = 282
  integer, parameter :: nGC_32234 = 283
  integer, parameter :: nGC_30053 = 284
  integer, parameter :: nGC_30052 = 285
  integer, parameter :: nGC_80 = 286
  integer, parameter :: nGC_8779 = 287
  integer, parameter :: nGC_30055 = 288
  integer, parameter :: nGC_8774 = 289
  integer, parameter :: nGC_8649 = 290
  integer, parameter :: nGC_29896 = 291
  integer, parameter :: nGC_8801 = 292
  integer, parameter :: nGC_8806 = 293
  integer, parameter :: nGC_8807 = 294
  integer, parameter :: nGC_31723 = 295
  integer, parameter :: nGC_8805 = 296
  integer, parameter :: nGC_24449 = 297
  integer, parameter :: nGC_30577 = 298
  integer, parameter :: nGC_72 = 299
  integer, parameter :: nGC_8674 = 300
  integer, parameter :: nGC_2046 = 301
  integer, parameter :: nGC_30578 = 302
  integer, parameter :: nGC_8677 = 303
  integer, parameter :: nGC_8626 = 304
  integer, parameter :: nGC_28904 = 305
  integer, parameter :: nGC_29865 = 306
  integer, parameter :: nGC_8671 = 307
  integer, parameter :: nGC_29807 = 308
  integer, parameter :: nGC_8673 = 309
  integer, parameter :: nGC_8699 = 310
  integer, parameter :: nGC_8697 = 311
  integer, parameter :: nGC_8693 = 312
  integer, parameter :: nGC_29866 = 313
  integer, parameter :: nGC_99 = 314
  integer, parameter :: nGC_97 = 315
  integer, parameter :: nGC_96 = 316
  integer, parameter :: nGC_95 = 317
  integer, parameter :: nGC_94 = 318
  integer, parameter :: nGC_93 = 319
  integer, parameter :: nGC_92 = 320
  integer, parameter :: nGC_91 = 321
  integer, parameter :: nGC_90 = 322
  integer, parameter :: nGC_8679 = 323
  integer, parameter :: nGC_31299 = 324
  integer, parameter :: nGC_8678 = 325
  integer, parameter :: nGC_75 = 326
  integer, parameter :: nGC_74 = 327
  integer, parameter :: nGC_77 = 328
  integer, parameter :: nGC_76 = 329
  integer, parameter :: nGC_71 = 330
  integer, parameter :: nGC_70 = 331
  integer, parameter :: nGC_73 = 332
  integer, parameter :: nGC_8633 = 333
  integer, parameter :: nGC_79 = 334
  integer, parameter :: nGC_78 = 335
  integer, parameter :: nGC_24553 = 336
  integer, parameter :: nGC_24552 = 337
  integer, parameter :: nGC_103 = 338
  integer, parameter :: nGC_106 = 339
  integer, parameter :: nGC_108 = 340
  integer, parameter :: nGC_24558 = 341
  integer, parameter :: nGC_8609 = 342
  integer, parameter :: nGC_29098 = 343
  integer, parameter :: nGC_29688 = 344
  integer, parameter :: nGC_29689 = 345
  integer, parameter :: nGC_24541 = 346
  integer, parameter :: nGC_24415 = 347
  integer, parameter :: nGC_101 = 348
  integer, parameter :: nGC_29440 = 349
  integer, parameter :: nGC_1988 = 350
  integer, parameter :: nGC_1986 = 351
  integer, parameter :: nGC_1980 = 352
  integer, parameter :: nGC_1982 = 353
  integer, parameter :: nGC_31559 = 354
  integer, parameter :: nGC_8681 = 355
  integer, parameter :: nGC_29191 = 356
  integer, parameter :: nGC_29192 = 357
  integer, parameter :: nGC_8730 = 358
  integer, parameter :: nGC_28869 = 359
  integer, parameter :: nGC_8732 = 360
  integer, parameter :: nGC_8734 = 361
  integer, parameter :: nGC_8735 = 362
  integer, parameter :: nGC_8736 = 363
  integer, parameter :: nGC_24482 = 364
  integer, parameter :: nGC_8738 = 365
  integer, parameter :: nGC_8739 = 366
  integer, parameter :: nGC_30154 = 367
  integer, parameter :: nGC_30262 = 368
  integer, parameter :: nGC_24175 = 369
  integer, parameter :: nGC_24172 = 370
  integer, parameter :: nGC_8615 = 371
  integer, parameter :: nGC_30367 = 372
  integer, parameter :: nGC_31728 = 373
  integer, parameter :: nGC_31729 = 374
  integer, parameter :: nGC_31722 = 375
  integer, parameter :: nGC_29808 = 376
  integer, parameter :: nGC_24506 = 377
  integer, parameter :: nGC_30298 = 378
  integer, parameter :: nGC_8784 = 379
  integer, parameter :: nGC_8787 = 380
  integer, parameter :: nGC_8786 = 381
  integer, parameter :: nGC_8781 = 382
  integer, parameter :: nGC_8780 = 383
  integer, parameter :: nGC_8783 = 384
  integer, parameter :: nGC_8834 = 385
  integer, parameter :: nGC_28969 = 386
  integer, parameter :: nGC_30708 = 387
  integer, parameter :: nGC_8788 = 388
  integer, parameter :: nGC_8607 = 389
  integer, parameter :: nGC_29639 = 390
  integer, parameter :: nGC_24551 = 391
  integer, parameter :: nGC_39 = 392
  integer, parameter :: nGC_38 = 393
  integer, parameter :: nGC_31 = 394
  integer, parameter :: nGC_30 = 395
  integer, parameter :: nGC_33 = 396
  integer, parameter :: nGC_32 = 397
  integer, parameter :: nGC_35 = 398
  integer, parameter :: nGC_34 = 399
  integer, parameter :: nGC_37 = 400
  integer, parameter :: nGC_36 = 401
  integer, parameter :: nGC_144 = 402
  integer, parameter :: nGC_145 = 403
  integer, parameter :: nGC_147 = 404
  integer, parameter :: nGC_140 = 405
  integer, parameter :: nGC_141 = 406
  integer, parameter :: nGC_142 = 407
  integer, parameter :: nGC_8832 = 408
  integer, parameter :: nGC_24517 = 409
  integer, parameter :: nGC_24514 = 410
  integer, parameter :: nGC_148 = 411
  integer, parameter :: nGC_149 = 412
  integer, parameter :: nGC_8836 = 413
  integer, parameter :: nGC_24456 = 414
  integer, parameter :: nGC_24454 = 415
  integer, parameter :: nGC_8830 = 416
  integer, parameter :: nGC_24452 = 417
  integer, parameter :: nGC_24453 = 418
  integer, parameter :: nGC_8640 = 419
  integer, parameter :: nGC_8642 = 420
  integer, parameter :: nGC_30205 = 421
  integer, parameter :: nGC_30203 = 422
  integer, parameter :: nGC_8646 = 423
  integer, parameter :: nGC_8647 = 424
  integer, parameter :: nGC_24335 = 425
  integer, parameter :: nGC_8762 = 426
  integer, parameter :: nGC_30705 = 427
  integer, parameter :: nGC_29648 = 428
  integer, parameter :: nGC_29649 = 429
  integer, parameter :: nGC_24557 = 430
  integer, parameter :: nGC_8604 = 431
  integer, parameter :: nGC_119 = 432
  integer, parameter :: nGC_MT = 433
  integer, parameter :: nGC_8838 = 434
  integer, parameter :: nGC_24486 = 435
  integer, parameter :: nGC_67 = 436
  integer, parameter :: nGC_24556 = 437
  integer, parameter :: nGC_GGH = 438
  integer, parameter :: nGC_29365 = 439
  integer, parameter :: nGC_24439 = 440
  integer, parameter :: nGC_28941 = 441
  integer, parameter :: nGC_29884 = 442
  integer, parameter :: nGC_24562 = 443
  integer, parameter :: nGC_MC = 444
  integer, parameter :: nGC_29013 = 445
  integer, parameter :: nGC_MZ = 446
  integer, parameter :: nGC_117 = 447
  integer, parameter :: nGC_MS = 448
  integer, parameter :: nGC_33229 = 449
  integer, parameter :: nGC_MW = 450
  integer, parameter :: nGC_MU = 451
  integer, parameter :: nGC_24554 = 452
  integer, parameter :: nGC_24237 = 453
  integer, parameter :: nGC_29490 = 454
  integer, parameter :: nGC_129 = 455
  integer, parameter :: nGC_8809 = 456
  integer, parameter :: nGC_29941 = 457
  integer, parameter :: nGC_29940 = 458
  integer, parameter :: nGC_1978 = 459
  integer, parameter :: nGC_4070 = 460
  integer, parameter :: nGC_31606 = 461
  integer, parameter :: nGC_8864 = 462
  integer, parameter :: nGC_30054 = 463
  integer, parameter :: nGC_8860 = 464
  integer, parameter :: nGC_8861 = 465
  integer, parameter :: nGC_8863 = 466
  integer, parameter :: nGC_8720 = 467
  integer, parameter :: nGC_8803 = 468
  integer, parameter :: nGC_666 = 469
  integer, parameter :: nGC_8726 = 470
  integer, parameter :: nGC_1076 = 471
  integer, parameter :: nGC_8777 = 472
  integer, parameter :: nGC_32143 = 473
  integer, parameter :: nGC_8770 = 474
  integer, parameter :: nGC_8771 = 475
  integer, parameter :: nGC_8749 = 476
  integer, parameter :: nGC_8748 = 477
  integer, parameter :: nGC_61 = 478
  integer, parameter :: nGC_8741 = 479
  integer, parameter :: nGC_8743 = 480
  integer, parameter :: nGC_8742 = 481
  integer, parameter :: nGC_8745 = 482
  integer, parameter :: nGC_30006 = 483
  integer, parameter :: nGC_8746 = 484
  integer, parameter :: nGC_112 = 485
  integer, parameter :: nGC_24138 = 486
  integer, parameter :: nGC_8602 = 487
  integer, parameter :: nGC_24563 = 488
  integer, parameter :: nGC_30206 = 489
  integer, parameter :: nGC_24458 = 490
  integer, parameter :: nGC_24566 = 491
  integer, parameter :: nGC_24416 = 492
  integer, parameter :: nGC_24414 = 493
  integer, parameter :: nGC_24567 = 494
  integer, parameter :: nGC_8685 = 495
  integer, parameter :: nGC_8683 = 496
  integer, parameter :: nGC_88 = 497
  integer, parameter :: nGC_89 = 498
  integer, parameter :: nGC_30160 = 499
  integer, parameter :: nGC_30365 = 500
  integer, parameter :: nGC_30364 = 501
  integer, parameter :: nGC_33946 = 502
  integer, parameter :: nGC_33947 = 503
  integer, parameter :: nGC_33948 = 504
  integer, parameter :: nGC_33949 = 505
  integer, parameter :: nGC_82 = 506
  integer, parameter :: nGC_83 = 507
  integer, parameter :: nGC_84 = 508
  integer, parameter :: nGC_85 = 509
  integer, parameter :: nGC_86 = 510
  integer, parameter :: nGC_24488 = 511
  integer, parameter :: nGC_24492 = 512
  integer, parameter :: nGC_8659 = 513
  integer, parameter :: nGC_29769 = 514
  integer, parameter :: nGC_24561 = 515
  integer, parameter :: nGC_146 = 516
  integer, parameter :: nGC_24528 = 517
  integer, parameter :: nGC_30153 = 518
  integer, parameter :: nGC_66 = 519
  integer, parameter :: nGC_24485 = 520
  integer, parameter :: nGC_64 = 521
  integer, parameter :: nGC_65 = 522
  integer, parameter :: nGC_62 = 523
  integer, parameter :: nGC_63 = 524
  integer, parameter :: nGC_60 = 525
  integer, parameter :: nGC_29443 = 526
  integer, parameter :: nGC_1800 = 527
  integer, parameter :: nGC_30349 = 528
  integer, parameter :: nGC_24160 = 529
  integer, parameter :: nGC_68 = 530
  integer, parameter :: nGC_69 = 531
  integer, parameter :: nGC_24493 = 532
  integer, parameter :: nGC_2000 = 533
  integer, parameter :: nGC_24213 = 534
  integer, parameter :: nGC_24249 = 535
  integer, parameter :: nGC_30920 = 536
  integer, parameter :: nGC_24247 = 537
  integer, parameter :: nGC_29446 = 538
  integer, parameter :: nGC_143 = 539
  integer, parameter :: nGC_24243 = 540
  integer, parameter :: nGC_24480 = 541
  integer, parameter :: nGC_8630 = 542
  integer, parameter :: nGC_24564 = 543
  integer, parameter :: nGC_8632 = 544
  integer, parameter :: nGC_8635 = 545
  integer, parameter :: nGC_29916 = 546
  integer, parameter :: nGC_24560 = 547
  integer, parameter :: nGC_8636 = 548
  integer, parameter :: nGC_8639 = 549
  integer, parameter :: nGC_24484 = 550
  integer, parameter :: nGC_115 = 551
  integer, parameter :: nGC_24481 = 552
  integer, parameter :: nGC_8710 = 553
  integer, parameter :: nGC_24483 = 554
  integer, parameter :: nGC_24490 = 555
  integer, parameter :: nGC_29504 = 556
  integer, parameter :: nGC_29503 = 557
  integer, parameter :: nGC_24342 = 558
  integer, parameter :: nGC_24343 = 559
  integer, parameter :: nGC_24340 = 560
  integer, parameter :: nGC_28933 = 561
  integer, parameter :: nGC_29160 = 562
  integer, parameter :: nGC_29163 = 563
  integer, parameter :: nGC_24196 = 564
  integer, parameter :: nGC_33232 = 565
  integer, parameter :: nGC_29349 = 566
  integer, parameter :: nGC_29348 = 567
  integer, parameter :: nGC_29347 = 568
  integer, parameter :: nGC_29346 = 569
  integer, parameter :: nGC_24341 = 570
  integer, parameter :: nGC_30020 = 571
  integer, parameter :: nGC_206 = 572
  integer, parameter :: nGC_31007 = 573
  integer, parameter :: nGC_31005 = 574
  integer, parameter :: nGC_24183 = 575
  integer, parameter :: nGC_31002 = 576
  integer, parameter :: nGC_29938 = 577
  integer, parameter :: nGC_29939 = 578
  integer, parameter :: nGC_29936 = 579
  integer, parameter :: nGC_29937 = 580
  integer, parameter :: nGC_35035 = 581
  integer, parameter :: nGC_35032 = 582
  integer, parameter :: nGC_31009 = 583
  integer, parameter :: nGC_24421 = 584
  integer, parameter :: nGC_29236 = 585
  integer, parameter :: nGC_24420 = 586
  integer, parameter :: nGC_30286 = 587
  integer, parameter :: nGC_30287 = 588
  integer, parameter :: nGC_33511 = 589
  integer, parameter :: nGC_28945 = 590
  integer, parameter :: nGC_474 = 591
  integer, parameter :: nGC_31298 = 592
  integer, parameter :: nGC_31293 = 593
  integer, parameter :: nGC_24522 = 594
  integer, parameter :: nGC_24523 = 595
  integer, parameter :: nGC_24520 = 596
  integer, parameter :: nGC_24521 = 597
  integer, parameter :: nGC_29806 = 598
  integer, parameter :: nGC_24527 = 599
  integer, parameter :: nGC_24441 = 600
  integer, parameter :: nGC_24306 = 601
  integer, parameter :: nGC_24443 = 602
  integer, parameter :: nGC_24442 = 603
  integer, parameter :: nGC_24445 = 604
  integer, parameter :: nGC_24444 = 605
  integer, parameter :: nGC_24447 = 606
  integer, parameter :: nGC_24446 = 607
  integer, parameter :: nGC_29653 = 608
  integer, parameter :: nGC_29652 = 609
  integer, parameter :: nGC_29651 = 610
  integer, parameter :: nGC_29650 = 611
  integer, parameter :: nGC_3348 = 612
  integer, parameter :: nGC_29655 = 613
  integer, parameter :: nGC_29654 = 614
  integer, parameter :: nGC_29658 = 615
  integer, parameter :: nGC_31225 = 616
  integer, parameter :: nGC_31224 = 617
  integer, parameter :: nGC_24236 = 618
  integer, parameter :: nGC_24233 = 619
  integer, parameter :: nGC_29729 = 620
  integer, parameter :: nGC_24231 = 621
  integer, parameter :: nGC_29895 = 622
  integer, parameter :: nGC_29894 = 623
  integer, parameter :: nGC_29897 = 624
  integer, parameter :: nGC_28957 = 625
  integer, parameter :: nGC_28956 = 626
  integer, parameter :: nGC_24157 = 627
  integer, parameter :: nGC_24156 = 628
  integer, parameter :: nGC_24155 = 629
  integer, parameter :: nGC_24154 = 630
  integer, parameter :: nGC_24153 = 631
  integer, parameter :: nGC_1440 = 632
  integer, parameter :: nGC_24159 = 633
  integer, parameter :: nGC_24158 = 634
  integer, parameter :: nGC_30105 = 635
  integer, parameter :: nGC_30107 = 636
  integer, parameter :: nGC_30106 = 637
  integer, parameter :: nGC_24308 = 638
  integer, parameter :: nGC_31292 = 639
  integer, parameter :: nGC_29155 = 640
  integer, parameter :: nGC_29150 = 641
  integer, parameter :: nGC_29151 = 642
  integer, parameter :: nGC_31294 = 643
  integer, parameter :: nGC_31295 = 644
  integer, parameter :: nGC_1368 = 645
  integer, parameter :: nGC_24203 = 646
  integer, parameter :: nGC_24202 = 647
  integer, parameter :: nGC_24201 = 648
  integer, parameter :: nGC_30177 = 649
  integer, parameter :: nGC_30179 = 650
  integer, parameter :: nGC_29385 = 651
  integer, parameter :: nGC_29384 = 652
  integer, parameter :: nGC_29387 = 653
  integer, parameter :: nGC_29386 = 654
  integer, parameter :: nGC_24259 = 655
  integer, parameter :: nGC_24404 = 656
  integer, parameter :: nGC_30923 = 657
  integer, parameter :: nGC_24403 = 658
  integer, parameter :: nGC_24402 = 659
  integer, parameter :: nGC_30251 = 660
  integer, parameter :: nGC_30250 = 661
  integer, parameter :: nGC_30253 = 662
  integer, parameter :: nGC_30252 = 663
  integer, parameter :: nGC_31829 = 664
  integer, parameter :: nGC_29858 = 665
  integer, parameter :: nGC_24270 = 666
  integer, parameter :: nGC_24276 = 667
  integer, parameter :: nGC_24277 = 668
  integer, parameter :: nGC_24274 = 669
  integer, parameter :: nGC_24275 = 670
  integer, parameter :: nGC_24278 = 671
  integer, parameter :: nGC_24279 = 672
  integer, parameter :: nGC_24499 = 673
  integer, parameter :: nGC_24474 = 674
  integer, parameter :: nGC_24475 = 675
  integer, parameter :: nGC_24476 = 676
  integer, parameter :: nGC_24477 = 677
  integer, parameter :: nGC_24478 = 678
  integer, parameter :: nGC_24479 = 679
  integer, parameter :: nGC_28854 = 680
  integer, parameter :: nGC_29107 = 681
  integer, parameter :: nGC_29105 = 682
  integer, parameter :: nGC_24356 = 683
  integer, parameter :: nGC_24290 = 684
  integer, parameter :: nGC_24291 = 685
  integer, parameter :: nGC_24294 = 686
  integer, parameter :: nGC_24297 = 687
  integer, parameter :: nGC_28756 = 688
  integer, parameter :: nGC_28759 = 689
  integer, parameter :: nGC_24261 = 690
  integer, parameter :: nGC_24260 = 691
  integer, parameter :: nGC_29585 = 692
  integer, parameter :: nGC_29584 = 693
  integer, parameter :: nGC_24504 = 694
  integer, parameter :: nGC_24505 = 695
  integer, parameter :: nGC_29613 = 696
  integer, parameter :: nGC_28921 = 697
  integer, parameter :: nGC_29409 = 698
  integer, parameter :: nGC_29406 = 699
  integer, parameter :: nGC_24269 = 700
  integer, parameter :: nGC_24501 = 701
  integer, parameter :: nGC_29030 = 702
  integer, parameter :: nGC_24180 = 703
  integer, parameter :: nGC_24182 = 704
  integer, parameter :: nGC_24191 = 705
  integer, parameter :: nGC_24190 = 706
  integer, parameter :: nGC_24195 = 707
  integer, parameter :: nGC_24194 = 708
  integer, parameter :: nGC_24198 = 709
  integer, parameter :: nGC_24185 = 710
  integer, parameter :: nGC_33313 = 711
  integer, parameter :: nGC_33316 = 712
  integer, parameter :: nGC_30299 = 713
  integer, parameter :: nGC_35036 = 714
  integer, parameter :: nGC_24189 = 715
  integer, parameter :: nGC_30295 = 716
  integer, parameter :: nGC_29324 = 717
  integer, parameter :: nGC_260 = 718
  integer, parameter :: nGC_262 = 719
  integer, parameter :: nGC_24289 = 720
  integer, parameter :: nGC_28773 = 721
  integer, parameter :: nGC_24327 = 722
  integer, parameter :: nGC_24535 = 723
  integer, parameter :: nGC_24534 = 724
  integer, parameter :: nGC_24537 = 725
  integer, parameter :: nGC_24536 = 726
  integer, parameter :: nGC_24533 = 727
  integer, parameter :: nGC_24532 = 728
  integer, parameter :: nGC_24434 = 729
  integer, parameter :: nGC_24435 = 730
  integer, parameter :: nGC_24437 = 731
  integer, parameter :: nGC_24539 = 732
  integer, parameter :: nGC_24432 = 733
  integer, parameter :: nGC_24433 = 734
  integer, parameter :: nGC_30266 = 735
  integer, parameter :: nGC_36489 = 736
  integer, parameter :: nGC_30592 = 737
  integer, parameter :: nGC_29943 = 738
  integer, parameter :: nGC_30268 = 739
  integer, parameter :: nGC_30269 = 740
  integer, parameter :: nGC_418 = 741
  integer, parameter :: nGC_29660 = 742
  integer, parameter :: nGC_24329 = 743
  integer, parameter :: nGC_24401 = 744
  integer, parameter :: nGC_30922 = 745
  integer, parameter :: nGC_24382 = 746
  integer, parameter :: nGC_24380 = 747
  integer, parameter :: nGC_24221 = 748
  integer, parameter :: nGC_24220 = 749
  integer, parameter :: nGC_24223 = 750
  integer, parameter :: nGC_24222 = 751
  integer, parameter :: nGC_24225 = 752
  integer, parameter :: nGC_24224 = 753
  integer, parameter :: nGC_24227 = 754
  integer, parameter :: nGC_24226 = 755
  integer, parameter :: nGC_30468 = 756
  integer, parameter :: nGC_24544 = 757
  integer, parameter :: nGC_28787 = 758
  integer, parameter :: nGC_29714 = 759
  integer, parameter :: nGC_29715 = 760
  integer, parameter :: nGC_24368 = 761
  integer, parameter :: nGC_24409 = 762
  integer, parameter :: nGC_28769 = 763
  integer, parameter :: nGC_28763 = 764
  integer, parameter :: nGC_28766 = 765
  integer, parameter :: nGC_32750 = 766
  integer, parameter :: nGC_24319 = 767
  integer, parameter :: nGC_24318 = 768
  integer, parameter :: nGC_24315 = 769
  integer, parameter :: nGC_24314 = 770
  integer, parameter :: nGC_29145 = 771
  integer, parameter :: nGC_24316 = 772
  integer, parameter :: nGC_24323 = 773
  integer, parameter :: nGC_24310 = 774
  integer, parameter :: nGC_24312 = 775
  integer, parameter :: nGC_29287 = 776
  integer, parameter :: nGC_28972 = 777
  integer, parameter :: nGC_29366 = 778
  integer, parameter :: nGC_29049 = 779
  integer, parameter :: nGC_30008 = 780
  integer, parameter :: nGC_30005 = 781
  integer, parameter :: nGC_30007 = 782
  integer, parameter :: nGC_29918 = 783
  integer, parameter :: nGC_29919 = 784
  integer, parameter :: nGC_24162 = 785
  integer, parameter :: nGC_29912 = 786
  integer, parameter :: nGC_24161 = 787
  integer, parameter :: nGC_24167 = 788
  integer, parameter :: nGC_24164 = 789
  integer, parameter :: nGC_29445 = 790
  integer, parameter :: nGC_31561 = 791
  integer, parameter :: nGC_32364 = 792
  integer, parameter :: nGC_32363 = 793
  integer, parameter :: nGC_30917 = 794
  integer, parameter :: nGC_28990 = 795
  integer, parameter :: nGC_30712 = 796
  integer, parameter :: nGC_30713 = 797
  integer, parameter :: nGC_30714 = 798
  integer, parameter :: nGC_30715 = 799
  integer, parameter :: nGC_24217 = 800
  integer, parameter :: nGC_24264 = 801
  integer, parameter :: nGC_24266 = 802
  integer, parameter :: nGC_24508 = 803
  integer, parameter :: nGC_24509 = 804
  integer, parameter :: nGC_24263 = 805
  integer, parameter :: nGC_24262 = 806
  integer, parameter :: nGC_28922 = 807
  integer, parameter :: nGC_28923 = 808
  integer, parameter :: nGC_28920 = 809
  integer, parameter :: nGC_24507 = 810
  integer, parameter :: nGC_24500 = 811
  integer, parameter :: nGC_24268 = 812
  integer, parameter :: nGC_24460 = 813
  integer, parameter :: nGC_2016 = 814
  integer, parameter :: nGC_24326 = 815
  integer, parameter :: nGC_24288 = 816
  integer, parameter :: nGC_24320 = 817
  integer, parameter :: nGC_24321 = 818
  integer, parameter :: nGC_24283 = 819
  integer, parameter :: nGC_24282 = 820
  integer, parameter :: nGC_24281 = 821
  integer, parameter :: nGC_24280 = 822
  integer, parameter :: nGC_24328 = 823
  integer, parameter :: nGC_24286 = 824
  integer, parameter :: nGC_24285 = 825
  integer, parameter :: nGC_24284 = 826
  integer, parameter :: nGC_24542 = 827
  integer, parameter :: nGC_24212 = 828
  integer, parameter :: nGC_24543 = 829
  integer, parameter :: nGC_24214 = 830
  integer, parameter :: nGC_24307 = 831
  integer, parameter :: nGC_24218 = 832
  integer, parameter :: nGC_778 = 833
  integer, parameter :: nGC_29410 = 834
  integer, parameter :: nGC_24133 = 835
  integer, parameter :: nGC_24132 = 836
  integer, parameter :: nGC_24137 = 837
  integer, parameter :: nGC_29554 = 838
  integer, parameter :: nGC_29006 = 839
  integer, parameter :: nGC_1398 = 840
  integer, parameter :: nGC_31025 = 841
  integer, parameter :: nGC_31026 = 842
  integer, parameter :: nGC_28994 = 843
  integer, parameter :: nGC_29254 = 844
  integer, parameter :: nGC_29253 = 845
  integer, parameter :: nGC_30754 = 846
  integer, parameter :: nGC_28937 = 847
  integer, parameter :: nGC_24473 = 848
  integer, parameter :: nGC_24424 = 849
  integer, parameter :: nGC_24448 = 850
  integer, parameter :: nGC_692 = 851
  integer, parameter :: nGC_32317 = 852
  integer, parameter :: nGC_32314 = 853
  integer, parameter :: nGC_32315 = 854
  integer, parameter :: nGC_28809 = 855
  integer, parameter :: nGC_24429 = 856
  integer, parameter :: nGC_24428 = 857
  integer, parameter :: nGC_24427 = 858
  integer, parameter :: nGC_24426 = 859
  integer, parameter :: nGC_30583 = 860
  integer, parameter :: nGC_28806 = 861
  integer, parameter :: nGC_24423 = 862
  integer, parameter :: nGC_30584 = 863
  integer, parameter :: nGC_32318 = 864
  integer, parameter :: nGC_28802 = 865
  integer, parameter :: nGC_29770 = 866
  integer, parameter :: nGC_29771 = 867
  integer, parameter :: nGC_29772 = 868
  integer, parameter :: nGC_24529 = 869
  integer, parameter :: nGC_31802 = 870
  integer, parameter :: nGC_24207 = 871
  integer, parameter :: nGC_24355 = 872
  integer, parameter :: nGC_24354 = 873
  integer, parameter :: nGC_24396 = 874
  integer, parameter :: nGC_24357 = 875
  integer, parameter :: nGC_24393 = 876
  integer, parameter :: nGC_24392 = 877
  integer, parameter :: nGC_24254 = 878
  integer, parameter :: nGC_24255 = 879
  integer, parameter :: nGC_24256 = 880
  integer, parameter :: nGC_24257 = 881
  integer, parameter :: nGC_24398 = 882
  integer, parameter :: nGC_24252 = 883
  integer, parameter :: nGC_24253 = 884
  integer, parameter :: nGC_24359 = 885
  integer, parameter :: nGC_24498 = 886
  integer, parameter :: nGC_28974 = 887
  integer, parameter :: nGC_28793 = 888
  integer, parameter :: nGC_28976 = 889
  integer, parameter :: nGC_30477 = 890
  integer, parameter :: nGC_24491 = 891
  integer, parameter :: nGC_24496 = 892
  integer, parameter :: nGC_24497 = 893
  integer, parameter :: nGC_24494 = 894
  integer, parameter :: nGC_24495 = 895
  integer, parameter :: nGC_29685 = 896
  integer, parameter :: nGC_30267 = 897
  integer, parameter :: nGC_28777 = 898
  integer, parameter :: nGC_28776 = 899
  integer, parameter :: nGC_29671 = 900
  integer, parameter :: nGC_24459 = 901
  integer, parameter :: nGC_29179 = 902
  integer, parameter :: nGC_29352 = 903
  integer, parameter :: nGC_31558 = 904
  integer, parameter :: nGC_29354 = 905
  integer, parameter :: nGC_29198 = 906
  integer, parameter :: nGC_29050 = 907
  integer, parameter :: nGC_29054 = 908
  integer, parameter :: nGC_30389 = 909
  integer, parameter :: nGC_29056 = 910
  integer, parameter :: nGC_24389 = 911
  integer, parameter :: nGC_29196 = 912
  integer, parameter :: nGC_29197 = 913
  integer, parameter :: nGC_31985 = 914
  integer, parameter :: nGC_30010 = 915
  integer, parameter :: nGC_30156 = 916
  integer, parameter :: nGC_30155 = 917
  integer, parameter :: nGC_24179 = 918
  integer, parameter :: nGC_24178 = 919
  integer, parameter :: nGC_24174 = 920
  integer, parameter :: nGC_29457 = 921
  integer, parameter :: nGC_24176 = 922
  integer, parameter :: nGC_24171 = 923
  integer, parameter :: nGC_24170 = 924
  integer, parameter :: nGC_24173 = 925
  integer, parameter :: nGC_30159 = 926
  integer, parameter :: nGC_31724 = 927
  integer, parameter :: nGC_31725 = 928
  integer, parameter :: nGC_29225 = 929
  integer, parameter :: nGC_24317 = 930
  integer, parameter :: nGC_24358 = 931
  integer, parameter :: nGC_24311 = 932
  integer, parameter :: nGC_882 = 933
  integer, parameter :: nGC_24519 = 934
  integer, parameter :: nGC_24518 = 935
  integer, parameter :: nGC_24516 = 936
  integer, parameter :: nGC_24515 = 937
  integer, parameter :: nGC_24511 = 938
  integer, parameter :: nGC_24510 = 939
  integer, parameter :: nGC_28834 = 940
  integer, parameter :: nGC_24457 = 941
  integer, parameter :: nGC_24455 = 942
  integer, parameter :: nGC_24450 = 943
  integer, parameter :: nGC_28833 = 944
  integer, parameter :: nGC_37893 = 945
  integer, parameter :: nGC_37891 = 946
  integer, parameter :: nGC_29640 = 947
  integer, parameter :: nGC_29641 = 948
  integer, parameter :: nGC_24334 = 949
  integer, parameter :: nGC_24333 = 950
  integer, parameter :: nGC_24332 = 951
  integer, parameter :: nGC_24331 = 952
  integer, parameter :: nGC_24330 = 953
  integer, parameter :: nGC_24339 = 954
  integer, parameter :: nGC_24338 = 955
  integer, parameter :: nGC_24165 = 956
  integer, parameter :: nGC_1798 = 957
  integer, parameter :: nGC_29612 = 958
  integer, parameter :: nGC_29635 = 959
  integer, parameter :: nGC_29634 = 960
  integer, parameter :: nGC_29637 = 961
  integer, parameter :: nGC_29636 = 962
  integer, parameter :: nGC_29631 = 963
  integer, parameter :: nGC_24206 = 964
  integer, parameter :: nGC_24205 = 965
  integer, parameter :: nGC_24204 = 966
  integer, parameter :: nGC_784 = 967
  integer, parameter :: nGC_24208 = 968
  integer, parameter :: nGC_29885 = 969
  integer, parameter :: nGC_24147 = 970
  integer, parameter :: nGC_24292 = 971
  integer, parameter :: nGC_29461 = 972
  integer, parameter :: nGC_24142 = 973
  integer, parameter :: nGC_24143 = 974
  integer, parameter :: nGC_29542 = 975
  integer, parameter :: nGC_29017 = 976
  integer, parameter :: nGC_29016 = 977
  integer, parameter :: nGC_24148 = 978
  integer, parameter :: nGC_29469 = 979
  integer, parameter :: nGC_29012 = 980
  integer, parameter :: nGC_30753 = 981
  integer, parameter :: nGC_24337 = 982
  integer, parameter :: nGC_24293 = 983
  integer, parameter :: nGC_24129 = 984
  integer, parameter :: nGC_29942 = 985
  integer, parameter :: nGC_29085 = 986
  integer, parameter :: nGC_29121 = 987
  integer, parameter :: nGC_24232 = 988
  integer, parameter :: nGC_29898 = 989
  integer, parameter :: nGC_24230 = 990
  integer, parameter :: nGC_31560 = 991
  integer, parameter :: nGC_29263 = 992
  integer, parameter :: nGC_29260 = 993
  integer, parameter :: nGC_31563 = 994
  integer, parameter :: nGC_29264 = 995
  integer, parameter :: nGC_29265 = 996
  integer, parameter :: nGC_28884 = 997
  integer, parameter :: nGC_28887 = 998
  integer, parameter :: nGC_28881 = 999
  integer, parameter :: nGC_29062 = 1000
  integer, parameter :: nGC_28888 = 1001
  integer, parameter :: nGC_28866 = 1002
  integer, parameter :: nGC_30065 = 1003
  integer, parameter :: nGC_36567 = 1004
  integer, parameter :: nGC_30069 = 1005
  integer, parameter :: nGC_24177 = 1006
  integer, parameter :: nGC_24436 = 1007
  integer, parameter :: nGC_24240 = 1008
  integer, parameter :: nGC_28980 = 1009
  integer, parameter :: nGC_24152 = 1010
  integer, parameter :: nGC_24410 = 1011
  integer, parameter :: nGC_24417 = 1012
  integer, parameter :: nGC_30162 = 1013
  integer, parameter :: nGC_24418 = 1014
  integer, parameter :: nGC_24419 = 1015
  integer, parameter :: nGC_24168 = 1016
  integer, parameter :: nGC_29845 = 1017
  integer, parameter :: nGC_30366 = 1018
  integer, parameter :: nGC_30369 = 1019
  integer, parameter :: nGC_30368 = 1020
  integer, parameter :: nGC_24273 = 1021
  integer, parameter :: nGC_36360 = 1022
  integer, parameter :: nGC_33058 = 1023
  integer, parameter :: nGC_24248 = 1024
  integer, parameter :: nGC_24246 = 1025
  integer, parameter :: nGC_24245 = 1026
  integer, parameter :: nGC_24244 = 1027
  integer, parameter :: nGC_24242 = 1028
  integer, parameter :: nGC_24241 = 1029
  integer, parameter :: nGC_29844 = 1030
  integer, parameter :: nGC_28907 = 1031
  integer, parameter :: nGC_24489 = 1032
  integer, parameter :: nGC_502 = 1033
  integer, parameter :: nGC_28863 = 1034
  integer, parameter :: nGC_29917 = 1035
  integer, parameter :: nGC_28908 = 1036
  integer, parameter :: nGC_28909 = 1037
  integer, parameter :: nGC_29507 = 1038
  integer, parameter :: nGC_29506 = 1039
  integer, parameter :: nGC_29505 = 1040
  integer, parameter :: nGC_24348 = 1041
  integer, parameter :: nGC_24349 = 1042
  integer, parameter :: nGC_24346 = 1043
  integer, parameter :: nGC_24347 = 1044
  integer, parameter :: nGC_24344 = 1045
  integer, parameter :: nGC_24345 = 1046
  integer, parameter :: nGC_29508 = 1047
  integer, parameter :: nGC_29055 = 1048
  integer, parameter :: nGC_32369 = 1049
  integer, parameter :: nGC_28998 = 1050
  integer, parameter :: nGC_29059 = 1051
  integer, parameter :: nGC_28995 = 1052
  integer, parameter :: nGC_24272 = 1053
  integer, parameter :: nGC_24210 = 1054
  integer, parameter :: nGC_24271 = 1055
  integer, parameter :: nGC_29920 = 1056
  integer, parameter :: nGC_31300 = 1057
  integer, parameter :: nGC_31301 = 1058
  integer, parameter :: nGC_29593 = 1059
  integer, parameter :: nGC_29164 = 1060
  integer, parameter :: nGC_29166 = 1061
  integer, parameter :: nGC_30302 = 1062
  integer, parameter :: nGC_29353 = 1063
  integer, parameter :: nGC_24197 = 1064
  integer, parameter :: nGC_24216 = 1065
  integer, parameter :: nGC_24351 = 1066
  integer, parameter :: nGC_24350 = 1067
  integer, parameter :: nGC_24353 = 1068
  integer, parameter :: nGC_24352 = 1069
  integer, parameter :: nGC_29106 = 1070
  integer, parameter :: nGC_24383 = 1071
  integer, parameter :: nGC_29109 = 1072
  integer, parameter :: nGC_29108 = 1073
  integer, parameter :: nGC_24295 = 1074
  integer, parameter :: nGC_24296 = 1075
  integer, parameter :: nGC_29025 = 1076
  integer, parameter :: nGC_29020 = 1077
  integer, parameter :: nGC_24199 = 1078
  integer, parameter :: nGC_24267 = 1079
  integer, parameter :: nGC_29255 = 1080
  integer, parameter :: nGC_31006 = 1081
  integer, parameter :: nGC_24184 = 1082
  integer, parameter :: nGC_24186 = 1083
  integer, parameter :: nGC_24187 = 1084
  integer, parameter :: nGC_24188 = 1085
  integer, parameter :: nGC_24388 = 1086
  integer, parameter :: nGC_31008 = 1087
  integer, parameter :: nGC_31731 = 1088
  integer, parameter :: nGC_31730 = 1089
  integer, parameter :: nGC_28999 = 1090
  integer, parameter :: nGC_24322 = 1091
  integer, parameter :: nGC_24287 = 1092
  integer, parameter :: nGC_36796 = 1093
  integer, parameter :: nGC_29033 = 1094
  integer, parameter :: nGC_29237 = 1095
  integer, parameter :: nGC_29238 = 1096
  integer, parameter :: nGC_28781 = 1097
  integer, parameter :: nGC_24145 = 1098
  integer, parameter :: nGC_24181 = 1099
  integer, parameter :: nGC_31030 = 1100
  integer, parameter :: nGC_24193 = 1101
  integer, parameter :: nGC_24192 = 1102
  integer, parameter :: nGC_34693 = 1103
  integer, parameter :: nGC_24309 = 1104
  integer, parameter :: nGC_34695 = 1105
  integer, parameter :: nGC_34694 = 1106
  integer, parameter :: nGC_28832 = 1107
  integer, parameter :: nGC_28835 = 1108
  integer, parameter :: nGC_29530 = 1109
  integer, parameter :: nGC_29746 = 1110
  integer, parameter :: nGC_24336 = 1111
  integer, parameter :: nGC_24135 = 1112
  integer, parameter :: nGC_24134 = 1113
  integer, parameter :: nGC_24136 = 1114
  integer, parameter :: nGC_24139 = 1115
  integer, parameter :: nGC_30270 = 1116
  integer, parameter :: nGC_29868 = 1117
  integer, parameter :: nGC_28836 = 1118
  integer, parameter :: nGC_31803 = 1119
  integer, parameter :: nGC_24399 = 1120
  integer, parameter :: nGC_28906 = 1121
  integer, parameter :: nGC_37410 = 1122
  integer, parameter :: nGC_31029 = 1123
  integer, parameter :: nGC_31028 = 1124
  integer, parameter :: nGC_31027 = 1125
  integer, parameter :: nGC_29809 = 1126
  integer, parameter :: nGC_28813 = 1127
  integer, parameter :: nGC_29955 = 1128
  integer, parameter :: nGC_28825 = 1129
  integer, parameter :: nGC_24200 = 1130
  integer, parameter :: nGC_28820 = 1131
  integer, parameter :: nGC_24209 = 1132
  integer, parameter :: nGC_29886 = 1133
  integer, parameter :: nGC_29638 = 1134
  integer, parameter :: nGC_24144 = 1135
  integer, parameter :: nGC_24324 = 1136
  integer, parameter :: nGC_24146 = 1137
  integer, parameter :: nGC_32316 = 1138
  integer, parameter :: nGC_24140 = 1139
  integer, parameter :: nGC_24141 = 1140
  integer, parameter :: nGC_24325 = 1141
  integer, parameter :: nGC_29792 = 1142
  integer, parameter :: nGC_29659 = 1143
  integer, parameter :: nGC_24149 = 1144
  integer, parameter :: nGC_29256 = 1145
  integer, parameter :: nGC_28890 = 1146
  integer, parameter :: nGC_28894 = 1147
  integer, parameter :: nGC_28899 = 1148
  integer, parameter :: nGC_29810 = 1149
  integer, parameter :: nGC_31227 = 1150
  integer, parameter :: nGC_31226 = 1151
  integer, parameter :: nGC_36646 = 1152
  integer, parameter :: nGC_24234 = 1153
  integer, parameter :: nGC_24235 = 1154
  integer, parameter :: nGC_29899 = 1155
  integer, parameter :: nGC_36725 = 1156
  integer, parameter :: nGC_29086 = 1157
  integer, parameter :: nGC_29448 = 1158
  integer, parameter :: nGC_24238 = 1159
  integer, parameter :: nGC_28870 = 1160
  integer, parameter :: nGC_24151 = 1161
  integer, parameter :: nGC_24150 = 1162
  integer, parameter :: nGC_24364 = 1163
  integer, parameter :: nGC_31562 = 1164
  integer, parameter :: nGC_30300 = 1165
  integer, parameter :: nGC_29266 = 1166
  integer, parameter :: nGC_30925 = 1167
  integer, parameter :: nGC_24406 = 1168
  integer, parameter :: nGC_28889 = 1169
  integer, parameter :: nGC_30009 = 1170
  integer, parameter :: nGC_24229 = 1171
  integer, parameter :: nGC_24228 = 1172
  integer, parameter :: nGC_24381 = 1173
  integer, parameter :: nGC_24386 = 1174
  integer, parameter :: nGC_24387 = 1175
  integer, parameter :: nGC_24425 = 1176
  integer, parameter :: nGC_30582 = 1177
  integer, parameter :: nGC_24422 = 1178
  integer, parameter :: nGC_28782 = 1179
  integer, parameter :: nGC_28783 = 1180
  integer, parameter :: nGC_28780 = 1181
  integer, parameter :: nGC_30469 = 1182
  integer, parameter :: nGC_29867 = 1183
  integer, parameter :: nGC_24302 = 1184
  integer, parameter :: nGC_24303 = 1185
  integer, parameter :: nGC_24300 = 1186
  integer, parameter :: nGC_24301 = 1187
  integer, parameter :: nGC_30125 = 1188
  integer, parameter :: nGC_24304 = 1189
  integer, parameter :: nGC_24305 = 1190
  integer, parameter :: nGC_24369 = 1191
  integer, parameter :: nGC_24299 = 1192
  integer, parameter :: nGC_24360 = 1193
  integer, parameter :: nGC_24361 = 1194
  integer, parameter :: nGC_24362 = 1195
  integer, parameter :: nGC_24363 = 1196
  integer, parameter :: nGC_37294 = 1197
  integer, parameter :: nGC_24365 = 1198
  integer, parameter :: nGC_24366 = 1199
  integer, parameter :: nGC_24367 = 1200
  integer, parameter :: nGC_29267 = 1201
  integer, parameter :: nGC_24395 = 1202
  integer, parameter :: nGC_24394 = 1203
  integer, parameter :: nGC_24397 = 1204
  integer, parameter :: nGC_24411 = 1205
  integer, parameter :: nGC_24258 = 1206
  integer, parameter :: nGC_24390 = 1207
  integer, parameter :: nGC_24250 = 1208
  integer, parameter :: nGC_24251 = 1209
  integer, parameter :: nGC_29389 = 1210
  integer, parameter :: nGC_29388 = 1211
  integer, parameter :: nGC_28973 = 1212
  integer, parameter :: nGC_29706 = 1213
  integer, parameter :: nGC_28975 = 1214
  integer, parameter :: nGC_30176 = 1215
  integer, parameter :: nGC_30178 = 1216
  integer, parameter :: nGC_28871 = 1217
  integer, parameter :: nGC_24313 = 1218
  integer, parameter :: nGC_29280 = 1219
  integer, parameter :: nGC_24412 = 1220
  integer, parameter :: nGC_24379 = 1221
  integer, parameter :: nGC_24378 = 1222
  integer, parameter :: nGC_24413 = 1223
  integer, parameter :: nGC_24373 = 1224
  integer, parameter :: nGC_24372 = 1225
  integer, parameter :: nGC_24371 = 1226
  integer, parameter :: nGC_24370 = 1227
  integer, parameter :: nGC_24377 = 1228
  integer, parameter :: nGC_24376 = 1229
  integer, parameter :: nGC_24375 = 1230
  integer, parameter :: nGC_24374 = 1231
  integer, parameter :: nGC_29367 = 1232
  integer, parameter :: nGC_24298 = 1233
  integer, parameter :: nGC_24391 = 1234
  integer, parameter :: nGC_34704 = 1235
  integer, parameter :: nGC_32370 = 1236
  integer, parameter :: nGC_24405 = 1237
  integer, parameter :: nGC_24407 = 1238
  integer, parameter :: nGC_30924 = 1239
  integer, parameter :: nGC_24400 = 1240
  integer, parameter :: nGC_24408 = 1241
  integer, parameter :: nGC_29887 = 1242
  integer, parameter :: nGC_29846 = 1243
  integer, parameter :: nGC_29847 = 1244
  integer, parameter :: nGC_30161 = 1245
  integer, parameter :: nGC_29447 = 1246
  integer, parameter :: nGC_29131 = 1247
  integer, parameter :: nGC_29587 = 1248
  integer, parameter :: nGC_29586 = 1249
  integer, parameter :: nGC_31228 = 1250
  integer, parameter :: nGC_29165 = 1251
  integer, parameter :: nGC_29748 = 1252
  integer, parameter :: nGC_30301 = 1253
  integer, parameter :: nGC_30126 = 1254
  integer, parameter :: nGC_36296 = 1255
  integer, parameter :: nGC_29747 = 1256
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
