!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_8648) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_131) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_8643) = -cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_8708) = -sqrt(2d0)/2d0
    coupl(nGC_8644) = cima*ee**2d0/(2d0*cw)
    coupl(nGC_8701) = -sqrt(2d0)*cima/2d0
    coupl(nGC_8703) = -sqrt(2d0)*cima/2d0
    coupl(nGC_8883) = -cima/(2d0*cMW)
    coupl(nGC_100) = cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_8792) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_8821) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_8790) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_8791) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_8796) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_8651) = -cima*vev/2d0
    coupl(nGC_8794) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_8795) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_8828) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_8798) = -cima*ee**2d0/cw
    coupl(nGC_8799) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_98) = ee**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_102) = -3d0*cima*lam*vev/2d0
    coupl(nGC_28) = -cima*ee**2d0/(2d0*sw**2d0) - cima*lam/2d0
    coupl(nGC_29) = -cima*ee**2d0/(2d0*sw**2d0) - cima*lam/2d0 - cima*ee**2d0/(&
                    2d0*cw**2d0)
    coupl(nGC_22) = -cima*lam/2d0
    coupl(nGC_23) = -cima*lam
    coupl(nGC_20) = -cima*gs**2d0
    coupl(nGC_21) = cima*gs**2d0
    coupl(nGC_26) = cima*ee**2d0/(4d0*sw**2d0) - cima*lam/2d0
    coupl(nGC_27) = cima*ee**2d0/(4d0*sw**2d0) - cima*lam/2d0 + cima*ee**2d0/( &
                    4d0*cw**2d0)
    coupl(nGC_24) = -3d0*cima*lam/2d0
    coupl(nGC_25) = -cima*ee**2d0/(4d0*sw**2d0) - cima*lam - cima*ee**2d0/(4d0*&
                    cw**2d0)
    coupl(nGC_8675) = 2d0*cima*ee/sw
    coupl(nGC_150) = sqrt(2d0)*yup/2d0
    coupl(nGC_81) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_126) = -sqrt(2d0)*cima*yb/2d0
    coupl(nGC_127) = cima*yc
    coupl(nGC_124) = -cima*yb
    coupl(nGC_125) = -sqrt(2d0)*yb/2d0
    coupl(nGC_122) = -cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev&
                      - cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_123) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev &
                      + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_120) = cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(2d0*&
                     cw)
    coupl(nGC_121) = -cima*cw**2d0*ee**2d0*vev/(4d0*sw**2d0) - cima*ee**2d0*vev&
                     /2d0 - cima*ee**2d0*sw**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_8840) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_128) = -sqrt(2d0)*cima*yc/2d0
    coupl(nGC_8841) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_107) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_8859) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_8851) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_8853) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_8852) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_8855) = cima*ee*sw/(3d0*cw)
    coupl(nGC_8857) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_8856) = cima*ee/(3d0*cw)
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_I) = cima
    coupl(nGC_232) = -coupl(nGC_131)
    coupl(nGC_8757) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_8754) = 4d0*cima*ee**2d0/sw**3d0
    coupl(nGC_135) = -sqrt(2d0)*cima*ye/2d0
    coupl(nGC_8753) = -4d0*cima*ee**2d0/sw**2d0
    coupl(nGC_8751) = -cima*ee
    coupl(nGC_114) = cima*ee**2d0*vev/(4d0*sw**2d0) - cima*lam*vev/2d0 + cima* &
                     ee**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_8759) = cima*ee**2d0/sw**2d0
    coupl(nGC_110) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_8815) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_8766) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_8765) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = -cima*ee**2d0
    coupl(nGC_5) = -2d0*cima*ee
    coupl(nGC_4) = cima*ee
    coupl(nGC_8763) = -2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_9) = -2d0*cima*ee**2d0
    coupl(nGC_8) = cima*ee**2d0
    coupl(nGC_8663) = cima*ee**2d0/(2d0*sw)
    coupl(nGC_606) = 2d0*coupl(nGC_21)
    coupl(nGC_MI) = -cima
    coupl(nGC_53) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_52) = ee**2d0/(4d0*sw**2d0)
    coupl(nGC_51) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_50) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_57) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_56) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_55) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_54) = -cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_59) = -cima*ee/(2d0*sw)
    coupl(nGC_58) = -ee/(2d0*sw)
    coupl(nGC_8629) = ee**2d0/sw
    coupl(nGC_8627) = cima*ee**2d0/sw**3d0
    coupl(nGC_8623) = -cima/2d0
    coupl(nGC_8621) = -3d0*cima/2d0
    coupl(nGC_8603) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **2d0*sw**3d0)
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_109) = ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_111) = cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_8718) = -sqrt(2d0)*cima/2d0
    coupl(nGC_8712) = -sqrt(2d0)/2d0
    coupl(nGC_8716) = -sqrt(2d0)*cima/2d0
    coupl(nGC_8714) = -sqrt(2d0)*cima/2d0
    coupl(nGC_8881) = cima/(2d0*cMW)
    coupl(nGC_8885) = 1d0/(2d0*cMZ)
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_8665) = 4d0*cima*ee**2d0
    coupl(nGC_8819) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_8818) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_8769) = -4d0*cima*cw*ee**2d0/sw
    coupl(nGC_8767) = 4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_8814) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_8817) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_8811) = 2d0*cima*ee**2d0/sw
    coupl(nGC_8810) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_8813) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_8760) = -cima*ee**2d0/sw**3d0
    coupl(nGC_17) = -2d0*gs
    coupl(nGC_16) = ee**2d0/(2d0*cw)
    coupl(nGC_15) = cima*ee**2d0/(2d0*cw)
    coupl(nGC_14) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_13) = -ee**2d0/(2d0*cw)
    coupl(nGC_12) = ee**2d0/(4d0*cw**2d0)
    coupl(nGC_11) = -ee**2d0/(4d0*cw**2d0)
    coupl(nGC_10) = 2d0*cima*ee**2d0
    coupl(nGC_520) = -coupl(nGC_125)
    coupl(nGC_87) = cw*ee/(2d0*sw) + ee*sw/(2d0*cw)
    coupl(nGC_19) = cima*gs
    coupl(nGC_18) = -gs
    coupl(nGC_134) = -sqrt(2d0)*ye/2d0
    coupl(nGC_8662) = cima*ee**2d0*vev/sw
    coupl(nGC_8661) = -cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_8669) = 2d0*cima*ee
    coupl(nGC_136) = -cima*ym
    coupl(nGC_6) = 2d0*cima*ee
    coupl(nGC_8616) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **3d0*sw**2d0)
    coupl(nGC_8612) = -4d0*cima*ee**2d0
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_138) = -sqrt(2d0)*cima*ym/2d0
    coupl(nGC_8619) = -cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_1904) = coupl(nGC_10)/2d0
    coupl(nGC_1906) = -coupl(nGC_10)
    coupl(nGC_130) = -cima*ydo
    coupl(nGC_MH) = -cMH**2d0*cima
    coupl(nGC_104) = -ee**2d0*vev/(4d0*sw**2d0)
    coupl(nGC_8865) = -cima*ee*sw/cw**2d0
    coupl(nGC_116) = -cima*ee**2d0*vev/(2d0*sw**2d0) - cima*lam*vev/2d0 - cima*&
                     ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_132) = -sqrt(2d0)*cima*ydo/2d0
    coupl(nGC_8775) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_8722) = sqrt(2d0)/2d0
    coupl(nGC_8724) = sqrt(2d0)/2d0
    coupl(nGC_8728) = -sqrt(2d0)*cima/2d0
    coupl(nGC_8823) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_8606) = ee**2d0/cw
    coupl(nGC_8756) = -cima*ee/(2d0*sw)
    coupl(nGC_8822) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_8847) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_8844) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_8845) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_8843) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_8824) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**  &
                      2d0)
    coupl(nGC_105) = -cima*ee**2d0*vev/(4d0*sw**2d0)
    coupl(nGC_8848) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_8849) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_8826) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_8827) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_8667) = -2d0*cima*ee
    coupl(nGC_48) = -cima*ee**2d0/sw**2d0
    coupl(nGC_49) = cima*ee**2d0/sw**2d0
    coupl(nGC_8831) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_44) = -ee**2d0/(4d0*sw**2d0)
    coupl(nGC_45) = -cima*ee**2d0/(4d0*sw**2d0)
    coupl(nGC_46) = -cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_47) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_40) = cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
    coupl(nGC_41) = cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
    coupl(nGC_42) = cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
    coupl(nGC_43) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_8658) = -cima*ee**2d0*vev/sw**2d0
    coupl(nGC_8652) = -cima*lam/2d0
    coupl(nGC_8657) = cima*ee**2d0*vev/sw**3d0
    coupl(nGC_8655) = -3d0*cima*lam/2d0
    coupl(nGC_8654) = -3d0*cima*vev/2d0
    coupl(nGC_8773) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_828) = -coupl(nGC_81)
    coupl(nGC_8802) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_113) = cima*ee**2d0*vev/(4d0*sw**2d0) - cima*lam*vev/2d0
    coupl(nGC_2234) = -2d0*coupl(nGC_8)
    coupl(nGC_8610) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_137) = -sqrt(2d0)*ym/2d0
    coupl(nGC_8614) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw**&
                      2d0)
    coupl(nGC_139) = -cima*ys
    coupl(nGC_8618) = cima*ee**2d0/cw
    coupl(nGC_8637) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_118) = cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(4d0*&
                     cw)
    coupl(nGC_8695) = -sqrt(2d0)/2d0
    coupl(nGC_133) = -cima*ye
    coupl(nGC_80) = cima*ee*sw/cw
    coupl(nGC_8779) = cima*cw*ee/sw
    coupl(nGC_8774) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_8649) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw** &
                      2d0)
    coupl(nGC_8801) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_8806) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_8807) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_8805) = -cima*ee**2d0*vev/cw
    coupl(nGC_72) = ee**2d0/(2d0*sw)
    coupl(nGC_8674) = -2d0*cima*cw*ee/sw**2d0
    coupl(nGC_2046) = -coupl(nGC_4)
    coupl(nGC_8677) = -2d0*cima*cw*ee/sw
    coupl(nGC_8626) = -cima*ee**2d0/sw**2d0
    coupl(nGC_8671) = cima*ee
    coupl(nGC_8673) = 2d0*cima*cw*ee/sw
    coupl(nGC_8699) = -sqrt(2d0)*cima/2d0
    coupl(nGC_8697) = -sqrt(2d0)/2d0
    coupl(nGC_8693) = -sqrt(2d0)/2d0
    coupl(nGC_99) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_97) = -ee**2d0*vev/(4d0*cw**2d0)
    coupl(nGC_96) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_95) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_94) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 - cima* &
                    ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_93) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 - cima* &
                    ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_92) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0 -   &
                    cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_91) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0/2d0 -   &
                    cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
    coupl(nGC_90) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_8679) = -2d0*cima*ee/sw
    coupl(nGC_8678) = 2d0*cima*cw*ee/sw**2d0
    coupl(nGC_75) = cima*cw*ee**2d0/sw
    coupl(nGC_74) = -cima*cw*ee**2d0/sw
    coupl(nGC_77) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_76) = -2d0*cima*cw*ee**2d0/sw
    coupl(nGC_71) = -cima*ee**2d0/sw
    coupl(nGC_70) = cima*ee**2d0/(2d0*sw)
    coupl(nGC_73) = ee**2d0/sw
    coupl(nGC_8633) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_79) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_78) = cima*ee*sw/(3d0*cw)
    coupl(nGC_103) = -ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_106) = -cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_108) = ee**2d0*vev/(4d0*sw**2d0)
    coupl(nGC_8609) = -ee**2d0/cw
    coupl(nGC_101) = -cima*lam*vev/2d0
    coupl(nGC_1988) = -2d0*coupl(nGC_21)
    coupl(nGC_1986) = -coupl(nGC_21)
    coupl(nGC_1980) = coupl(nGC_20) + coupl(nGC_21)
    coupl(nGC_1982) = -coupl(nGC_20) - coupl(nGC_21)
    coupl(nGC_8681) = -gs
    coupl(nGC_8730) = -sqrt(2d0)*cima/2d0
    coupl(nGC_8732) = -2d0*cima*ee**2d0
    coupl(nGC_8734) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_8735) = -cima*cw*ee**2d0/sw**2d0
    coupl(nGC_8736) = cima*ee**2d0/sw
    coupl(nGC_8738) = -cima*ee**2d0/sw
    coupl(nGC_8739) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_8615) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **2d0*sw**3d0)
    coupl(nGC_8784) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_8787) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_8786) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_8781) = cima*ee/sw
    coupl(nGC_8780) = -cima*cw*ee/sw**2d0
    coupl(nGC_8783) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_8834) = -2d0*cima*ee/3d0
    coupl(nGC_8788) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_8607) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_39) = cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
    coupl(nGC_38) = cima*cw*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0/(2d0*cw)
    coupl(nGC_31) = -cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
    coupl(nGC_30) = cima*ee**2d0/(2d0*sw**2d0) - cima*lam + cima*ee**2d0/(2d0* &
                    cw**2d0)
    coupl(nGC_33) = -cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
    coupl(nGC_32) = -cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
    coupl(nGC_35) = -cima*cw*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/(4d0*cw)
    coupl(nGC_34) = -cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
    coupl(nGC_37) = -cima*cw*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0/(2d0*cw)
    coupl(nGC_36) = cima*cw*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/(4d0*cw)
    coupl(nGC_144) = sqrt(2d0)*yt/2d0
    coupl(nGC_145) = -cima*ytau
    coupl(nGC_147) = -sqrt(2d0)*cima*ytau/2d0
    coupl(nGC_140) = -sqrt(2d0)*ys/2d0
    coupl(nGC_141) = -sqrt(2d0)*cima*ys/2d0
    coupl(nGC_142) = cima*yt
    coupl(nGC_8832) = -4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_148) = cima*yup
    coupl(nGC_149) = -sqrt(2d0)*cima*yup/2d0
    coupl(nGC_8836) = cima*ee/3d0
    coupl(nGC_8830) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_8640) = -cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_8642) = cima*ee**2d0*vev/cw
    coupl(nGC_8646) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_8647) = -cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_8762) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_8604) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **3d0*sw**2d0)
    coupl(nGC_119) = -cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(2d0&
                     *cw)
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_8838) = cima*gs
    coupl(nGC_67) = -ee**2d0/sw
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_117) = -cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(4d0&
                     *cw)
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_129) = sqrt(2d0)*yc/2d0
    coupl(nGC_8809) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_1978) = coupl(nGC_20) - coupl(nGC_21)
    coupl(nGC_4070) = -2d0*coupl(nGC_48)
    coupl(nGC_8864) = cima*ee/cw
    coupl(nGC_8860) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_8861) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_8863) = cima*ee*sw/cw
    coupl(nGC_8720) = sqrt(2d0)/2d0
    coupl(nGC_8803) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_666) = -coupl(nGC_150)
    coupl(nGC_8726) = -sqrt(2d0)*cima/2d0
    coupl(nGC_1076) = -coupl(nGC_59)
    coupl(nGC_8777) = 2d0*cima*ee**2d0
    coupl(nGC_8770) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_8771) = -2d0*cima*ee**2d0/sw
    coupl(nGC_8749) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_8748) = cima*ee/(2d0*sw)
    coupl(nGC_61) = ee/(2d0*sw)
    coupl(nGC_8741) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_8743) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_8742) = -cima*ee**2d0*vev/sw
    coupl(nGC_8745) = ee/(2d0*sw)
    coupl(nGC_8746) = -ee/(2d0*sw**2d0)
    coupl(nGC_112) = -cima*ee**2d0*vev/sw
    coupl(nGC_8602) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_8685) = -2d0*gs
    coupl(nGC_8683) = 2d0*cima*gs**2d0
    coupl(nGC_88) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
    coupl(nGC_89) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
    coupl(nGC_82) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_83) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_84) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
    coupl(nGC_85) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_86) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_8659) = -cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_146) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_66) = 2d0*cima*cw*ee/sw
    coupl(nGC_64) = cima*cw*ee/sw
    coupl(nGC_65) = -2d0*cima*cw*ee/sw
    coupl(nGC_62) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_63) = -cima*cw*ee/sw
    coupl(nGC_60) = cima*ee/(2d0*sw)
    coupl(nGC_1800) = -coupl(nGC_50)
    coupl(nGC_68) = -ee**2d0/(2d0*sw)
    coupl(nGC_69) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_2000) = -coupl(nGC_20) + coupl(nGC_21)
    coupl(nGC_143) = -sqrt(2d0)*cima*yt/2d0
    coupl(nGC_8630) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_8632) = -ee**2d0/sw
    coupl(nGC_8635) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_8636) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_8639) = cima*ee**2d0/sw
    coupl(nGC_115) = -cima*ee**2d0*vev/(2d0*sw**2d0) - cima*lam*vev/2d0
    coupl(nGC_8710) = -sqrt(2d0)/2d0
    coupl(nGC_206) = -coupl(nGC_140)
    coupl(nGC_474) = -coupl(nGC_60)
    coupl(nGC_3348) = -coupl(nGC_18)
    coupl(nGC_1440) = -coupl(nGC_134)
    coupl(nGC_1368) = -coupl(nGC_146)
    coupl(nGC_260) = -coupl(nGC_77)/2d0
    coupl(nGC_262) = -coupl(nGC_77)
    coupl(nGC_418) = -coupl(nGC_137)
    coupl(nGC_2016) = -coupl(nGC_85)
    coupl(nGC_778) = -coupl(nGC_63)
    coupl(nGC_1398) = -coupl(nGC_144)
    coupl(nGC_692) = -coupl(nGC_129)
    coupl(nGC_882) = -coupl(nGC_61)
    coupl(nGC_1798) = coupl(nGC_50)/2d0
    coupl(nGC_784) = -coupl(nGC_3)
    coupl(nGC_502) = -coupl(nGC_64)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
