!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 17:43             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_24526) = coupl(nGC_8798)*dZee_QED2 + coupl(nGC_8799)*dcw_QED2
    coupl(nGC_24524) = coupl(nGC_8790)*dZee_QED2 + coupl(nGC_8791)*dsw_QED2 +  &
                       coupl(nGC_8792)*dcw_QED2
    coupl(nGC_24525) = coupl(nGC_8794)*dZee_QED2 + coupl(nGC_8795)*dsw_QED2 +  &
                       coupl(nGC_8796)*dcw_QED2
    coupl(nGC_24440) = -cima*dlam_QED4
    coupl(nGC_GG) = cima*dt_QED1/vev
    coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
    coupl(nGC_24548) = -cima*dME_QED2
    coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
    coupl(nGC_24470) = -cima*dyb_QED3
    coupl(nGC_24471) = cima*dyt_QED1_QCD2
    coupl(nGC_24472) = cima*dyt_QED3
    coupl(nGC_29103) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_24559) = -cima*dMS_QED2
    coupl(nGC_29617) = coupl(nGC_81)*dZZA_QED2/2d0
    coupl(nGC_30035) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_31031) = coupl(nGC_123)*dZZA_QED2/2d0
    coupl(nGC_33312) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_33315) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_29246) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_24438) = coupl(nGC_8621)*dlam_QED4
    coupl(nGC_29249) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_24531) = coupl(nGC_8817)*dZee_QED2 + coupl(nGC_8818)*dsw_QED2 +  &
                       coupl(nGC_8819)*dcw_QED2
    coupl(nGC_24430) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_24538) = coupl(nGC_8840)*dZee_QED2 + coupl(nGC_8841)*dsw_QED2
    coupl(nGC_24555) = -cima*dMT_QED2
    coupl(nGC_24565) = coupl(nGC_8881)*dMW2_QED2
    coupl(nGC_30259) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_24384) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_24385) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24549) = -cima*dMM_QED2
    coupl(nGC_30466) = coupl(nGC_128)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_30465) = coupl(nGC_128)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_24451) = coupl(nGC_8661)*dsw_QED2 + coupl(nGC_8662)*dZee_QED2 +  &
                       coupl(nGC_8663)*dvev_QED1
    coupl(nGC_30204) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_33400) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
    coupl(nGC_24169) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_24487) = -cima*dytau_QED3
    coupl(nGC_24163) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
    coupl(nGC_24166) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
    coupl(nGC_32368) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_32367) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_32362) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_32361) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_24513) = coupl(nGC_8753)*dZee_QED2 + coupl(nGC_8754)*dsw_QED2
    coupl(nGC_24211) = coupl(nGC_124)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_29741) = coupl(nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_24265) = coupl(nGC_150)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24502) = coupl(nGC_8728)*dyc_QED1_QCD2
    coupl(nGC_24503) = coupl(nGC_8728)*dyc_QED3
    coupl(nGC_24463) = -cima*dydo_QED1_QCD2
    coupl(nGC_24462) = cima*dyup_QED3
    coupl(nGC_24461) = cima*dyup_QED1_QCD2
    coupl(nGC_24467) = cima*dyc_QED1_QCD2
    coupl(nGC_24466) = -cima*dys_QED3
    coupl(nGC_24465) = -cima*dys_QED1_QCD2
    coupl(nGC_24464) = -cima*dydo_QED3
    coupl(nGC_24469) = -cima*dyb_QED1_QCD2
    coupl(nGC_24468) = cima*dyc_QED3
    coupl(nGC_24530) = coupl(nGC_8813)*dZee_QED2 + coupl(nGC_8814)*dsw_QED2 +  &
                       coupl(nGC_8815)*dcw_QED2
    coupl(nGC_24540) = coupl(nGC_8847)*dZee_QED2 + coupl(nGC_8848)*dsw_QED2 +  &
                       coupl(nGC_8849)*dcw_QED2
    coupl(nGC_24239) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24215) = coupl(nGC_127)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24219) = coupl(nGC_130)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_29745) = coupl(nGC_56)*dZZA_QED2/2d0
    coupl(nGC_29744) = coupl(nGC_55)*dZZA_QED2/2d0
    coupl(nGC_24131) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
    coupl(nGC_24130) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_24546) = -cima*dMH2_QED2
    coupl(nGC_28966) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_35104) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_29861) = coupl(nGC_19)*dZbL_QED2
    coupl(nGC_28905) = coupl(nGC_150)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_24550) = -cima*dMTA_QED2
    coupl(nGC_30467) = coupl(nGC_24502) + coupl(nGC_30466)
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
    coupl(nGC_29862) = coupl(nGC_19)*dZbL_QCD2
    coupl(nGC_24431) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                       3d0)
    coupl(nGC_29257) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_24512) = coupl(nGC_8751)*dZee_QED2
    coupl(nGC_29805) = coupl(nGC_19)*dZuR_QED2
    coupl(nGC_30751) = coupl(nGC_134)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_32234) = coupl(nGC_24438) + coupl(nGC_HHHH)
    coupl(nGC_30053) = coupl(nGC_127)*dZcR_QCD2/2d0 + coupl(nGC_127)*dZsL_QCD2/&
                       2d0 + coupl(nGC_24467)
    coupl(nGC_30052) = coupl(nGC_139)*dZcL_QCD2/2d0 + coupl(nGC_139)*dZsR_QCD2/&
                       2d0 + coupl(nGC_24465)
    coupl(nGC_30055) = coupl(nGC_127)*dZcR_QED2/2d0 + coupl(nGC_127)*dZsL_QED2/&
                       2d0 + coupl(nGC_24468)
    coupl(nGC_29896) = coupl(nGC_19)*dZsL_QED2
    coupl(nGC_31723) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_24449) = coupl(nGC_8654)*dlam_QED4 + coupl(nGC_8655)*dvev_QED1
    coupl(nGC_30577) = coupl(nGC_132)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_30578) = coupl(nGC_132)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_28904) = coupl(nGC_150)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_29865) = coupl(nGC_19)*dZbR_QED2
    coupl(nGC_29807) = coupl(nGC_19)*dZuL_QED2
    coupl(nGC_29866) = coupl(nGC_19)*dZbR_QCD2
    coupl(nGC_31299) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_24553) = -cima*dMC_QED2
    coupl(nGC_24552) = -cima*dMU_QCD2
    coupl(nGC_24558) = -cima*dMD_QCD2
    coupl(nGC_29098) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_29688) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_29689) = -coupl(nGC_29688)
    coupl(nGC_24541) = coupl(nGC_8851)*dZee_QED2 + coupl(nGC_8852)*dsw_QED2 +  &
                       coupl(nGC_8853)*dcw_QED2
    coupl(nGC_24415) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                       nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_29440) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_31559) = coupl(nGC_125)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_29191) = coupl(nGC_126)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_29192) = coupl(nGC_126)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_28869) = coupl(nGC_137)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_24482) = coupl(nGC_8701)*dys_QED3
    coupl(nGC_30154) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_30262) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_24175) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_24172) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_30367) = coupl(nGC_19)*dZtR_QCD2
    coupl(nGC_31728) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_31729) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_31722) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_29808) = coupl(nGC_19)*dZuL_QCD2
    coupl(nGC_24506) = coupl(nGC_8732)*dZee_QED2
    coupl(nGC_30298) = coupl(nGC_78)*dZdR_QCD2
    coupl(nGC_28969) = coupl(nGC_79)*dZcR_QCD2
    coupl(nGC_30708) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_29639) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_24551) = -cima*dMU_QED2
    coupl(nGC_24517) = coupl(nGC_8765)*dZee_QED2 + coupl(nGC_8766)*dsw_QED2 +  &
                       coupl(nGC_8767)*dcw_QED2
    coupl(nGC_24514) = coupl(nGC_8756)*dZee_QED2 + coupl(nGC_8757)*dsw_QED2
    coupl(nGC_24456) = coupl(nGC_8673)*dZee_QED2 + coupl(nGC_8674)*dsw_QED2 +  &
                       coupl(nGC_8675)*dcw_QED2
    coupl(nGC_24454) = coupl(nGC_8669)*dZee_QED2
    coupl(nGC_24452) = coupl(nGC_8665)*dZee_QED2
    coupl(nGC_24453) = coupl(nGC_8667)*dZee_QED2
    coupl(nGC_30205) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_30203) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_24335) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_124)**2d0 - coupl(nGC_125)*coupl(nGC_520) - coupl(  &
                       nGC_126)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
    coupl(nGC_30705) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_29648) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_29649) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_24557) = -cima*dMD_QED2
    coupl(nGC_24486) = -cima*dym_QED3
    coupl(nGC_24556) = -cima*dMT_QCD2
    coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
    coupl(nGC_29365) = coupl(nGC_147)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_24439) = coupl(nGC_8623)*dlam_QED4
    coupl(nGC_28941) = coupl(nGC_24513) + coupl(nGC_50)*dZWMinus_QED2
    coupl(nGC_29884) = coupl(nGC_77)*dZZA_QED2
    coupl(nGC_24562) = -cima*dMB_QCD2
    coupl(nGC_29013) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_33229) = coupl(nGC_I)*dZH_QED2
    coupl(nGC_24554) = -cima*dMC_QCD2
    coupl(nGC_24237) = coupl(nGC_19)**2d0*coupl(nGC_520)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_29490) = coupl(nGC_145)*dZnu_tauL_QED2/2d0 + coupl(nGC_145)*     &
                       dZtauMinusR_QED2/2d0 + coupl(nGC_24487)
    coupl(nGC_29941) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_29940) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_31606) = 3d0*coupl(nGC_102)*dZH_QED2/2d0 + coupl(nGC_24449) +    &
                       coupl(nGC_HHH)
    coupl(nGC_30054) = coupl(nGC_139)*dZcL_QED2/2d0 + coupl(nGC_139)*dZsR_QED2/&
                       2d0 + coupl(nGC_24466)
    coupl(nGC_32143) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_30006) = coupl(nGC_140)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_24138) = (-Nc*cMB**2d0*cima*coupl(nGC_124)**2d0 - Nc*cMB**2d0*   &
                       cima*coupl(nGC_142)**2d0 - Nc*cMC**2d0*cima*coupl(      &
                       nGC_127)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_139)**2d0 -  &
                       Nc*cMD**2d0*cima*coupl(nGC_130)**2d0 - Nc*cMD**2d0*cima*&
                       coupl(nGC_148)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_127)** &
                       2d0 - Nc*cMS**2d0*cima*coupl(nGC_139)**2d0 - Nc*cMT**2d0&
                       *cima*coupl(nGC_124)**2d0 - Nc*cMT**2d0*cima*coupl(     &
                       nGC_142)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_130)**2d0 -  &
                       Nc*cMU**2d0*cima*coupl(nGC_148)**2d0 - cME**2d0*cima*   &
                       coupl(nGC_133)**2d0 - cMM**2d0*cima*coupl(nGC_136)**2d0 &
                        - cMTA**2d0*cima*coupl(nGC_145)**2d0 - 2d0*cMW**2d0*   &
                       coupl(nGC_47) - cMZ**2d0*coupl(nGC_95) + 2d0*cima*coupl(&
                       nGC_110)**2d0 + 2d0*cima*coupl(nGC_99)**2d0)/(16d0*pi** &
                       2d0)
    coupl(nGC_24563) = cima*dMZ2_QED2
    coupl(nGC_30206) = coupl(nGC_24550) + coupl(nGC_30204)
    coupl(nGC_24458) = coupl(nGC_8681)*dZgs_QCD2
    coupl(nGC_24566) = coupl(nGC_8883)*dMW2_QED2
    coupl(nGC_24416) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_24414) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(64d0*pi**2d0)
    coupl(nGC_24567) = coupl(nGC_8885)*dMZ2_QED2
    coupl(nGC_30160) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_30365) = coupl(nGC_19)*dZtL_QCD2
    coupl(nGC_30364) = coupl(nGC_19)*dZtL_QED2
    coupl(nGC_33946) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_33947) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_33948) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_33949) = coupl(nGC_24548) + coupl(nGC_33947)
    coupl(nGC_24488) = coupl(nGC_8708)*dye_QED3
    coupl(nGC_24492) = coupl(nGC_8716)*dym_QED3
    coupl(nGC_29769) = coupl(nGC_24525) + coupl(nGC_85)*dZZ_QED2/2d0 + coupl(  &
                       nGC_85)*dZmuMinusL_QED2
    coupl(nGC_24561) = -cima*dMB_QED2
    coupl(nGC_24528) = coupl(nGC_8805)*dZee_QED2 + coupl(nGC_8806)*dcw_QED2 +  &
                       coupl(nGC_8807)*dvev_QED1
    coupl(nGC_30153) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_24485) = -cima*dye_QED3
    coupl(nGC_29443) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_30349) = -coupl(nGC_29617)
    coupl(nGC_24160) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_62)**2d0 + coupl(   &
                       nGC_85)**2d0)/(16d0*pi**2d0)
    coupl(nGC_24493) = coupl(nGC_8718)*dytau_QED3
    coupl(nGC_24213) = coupl(nGC_142)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24249) = coupl(nGC_131)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_30920) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_24247) = coupl(nGC_19)**2d0*coupl(nGC_232)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_29446) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
    coupl(nGC_24243) = coupl(nGC_129)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_24480) = coupl(nGC_8699)*dydo_QED3
    coupl(nGC_24564) = cima*dMW2_QED2
    coupl(nGC_29916) = coupl(nGC_79)*dZtR_QCD2
    coupl(nGC_24560) = -cima*dMS_QCD2
    coupl(nGC_24484) = coupl(nGC_8703)*dyb_QED3
    coupl(nGC_24481) = coupl(nGC_8701)*dys_QED1_QCD2
    coupl(nGC_24483) = coupl(nGC_8703)*dyb_QED1_QCD2
    coupl(nGC_24490) = coupl(nGC_8712)*dytau_QED3
    coupl(nGC_29504) = coupl(nGC_131)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_29503) = coupl(nGC_131)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_24342) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_131)*coupl(nGC_232) - coupl(nGC_132)**2d0 - coupl(  &
                       nGC_148)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0)
    coupl(nGC_24343) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                       nGC_130)**2d0 - coupl(nGC_131)*coupl(nGC_232) - coupl(  &
                       nGC_132)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
    coupl(nGC_24340) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_131)*coupl(nGC_232) + coupl(nGC_132)**2d0 + coupl(  &
                       nGC_148)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_28933) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_24452) + coupl(nGC_90&
                       )*dZZA_QED2
    coupl(nGC_29160) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_29163) = coupl(nGC_24525) + coupl(nGC_85)*dZZ_QED2/2d0 + coupl(  &
                       nGC_85)*dZtauMinusL_QED2
    coupl(nGC_24196) = (coupl(nGC_145)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*   &
                       coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       )/(32d0*pi**2d0)
    coupl(nGC_33232) = coupl(nGC_24546) + coupl(nGC_MH)*dZH_QED2
    coupl(nGC_29349) = coupl(nGC_19)*dZcL_QCD2
    coupl(nGC_29348) = coupl(nGC_19)*dZcL_QED2
    coupl(nGC_29347) = coupl(nGC_19)*dZcR_QCD2
    coupl(nGC_29346) = coupl(nGC_19)*dZcR_QED2
    coupl(nGC_24341) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                       nGC_130)**2d0 + coupl(nGC_131)*coupl(nGC_232) + coupl(  &
                       nGC_132)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc&
                       )
    coupl(nGC_30020) = coupl(nGC_24524) + coupl(nGC_81)*dZH_QED2/2d0 + coupl(  &
                       nGC_81)*dZZ_QED2/2d0
    coupl(nGC_31007) = coupl(nGC_24540) + coupl(nGC_83)*dZZ_QED2/2d0 + coupl(  &
                       nGC_83)*dZuL_QED2
    coupl(nGC_31005) = coupl(nGC_83)*dZuL_QCD2
    coupl(nGC_24183) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_31002) = coupl(nGC_79)*dZuR_QCD2
    coupl(nGC_29938) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_29939) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_29936) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_29937) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_35035) = coupl(nGC_24564) + coupl(nGC_MW)*dZWMinus_QED2
    coupl(nGC_35032) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_31009) = coupl(nGC_28966) + coupl(nGC_31007)
    coupl(nGC_24421) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl(&
                       nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(32d0*pi**2d0* &
                       Nc**2d0)
    coupl(nGC_29236) = coupl(nGC_135)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_24420) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_78) - coupl&
                       (nGC_79) - coupl(nGC_82) - coupl(nGC_83))/(64d0*pi**2d0*&
                       Nc)
    coupl(nGC_30286) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_30287) = -coupl(nGC_30286)
    coupl(nGC_33511) = coupl(nGC_24567) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_28945) = coupl(nGC_24506) + coupl(nGC_7)*dZA_QED2/2d0 + coupl(   &
                       nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_75)*dZZA_QED2/2d0
    coupl(nGC_31298) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_31293) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_24522) = coupl(nGC_8783)*dZee_QED2 + coupl(nGC_8784)*dsw_QED2
    coupl(nGC_24523) = coupl(nGC_8786)*dZee_QED2 + coupl(nGC_8787)*dsw_QED2 +  &
                       coupl(nGC_8788)*dcw_QED2
    coupl(nGC_24520) = coupl(nGC_8777)*dZee_QED2
    coupl(nGC_24521) = coupl(nGC_8779)*dZee_QED2 + coupl(nGC_8780)*dsw_QED2 +  &
                       coupl(nGC_8781)*dcw_QED2
    coupl(nGC_29806) = coupl(nGC_19)*dZuR_QCD2
    coupl(nGC_24527) = coupl(nGC_8801)*dZee_QED2 + coupl(nGC_8802)*dsw_QED2 +  &
                       coupl(nGC_8803)*dcw_QED2
    coupl(nGC_24441) = coupl(nGC_8626)*dZee_QED2 + coupl(nGC_8627)*dsw_QED2
    coupl(nGC_24306) = coupl(nGC_19)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_24443) = coupl(nGC_8632)*dZee_QED2 + coupl(nGC_8633)*dsw_QED2
    coupl(nGC_24442) = coupl(nGC_8629)*dZee_QED2 + coupl(nGC_8630)*dsw_QED2
    coupl(nGC_24445) = coupl(nGC_8639)*dZee_QED2 + coupl(nGC_8640)*dsw_QED2
    coupl(nGC_24444) = coupl(nGC_8635)*dZee_QED2 + coupl(nGC_8636)*dsw_QED2 +  &
                       coupl(nGC_8637)*dcw_QED2
    coupl(nGC_24447) = coupl(nGC_8646)*dsw_QED2 + coupl(nGC_8647)*dZee_QED2 +  &
                       coupl(nGC_8648)*dcw_QED2 + coupl(nGC_8649)*dvev_QED1
    coupl(nGC_24446) = coupl(nGC_8642)*dZee_QED2 + coupl(nGC_8643)*dcw_QED2 +  &
                       coupl(nGC_8644)*dvev_QED1
    coupl(nGC_29653) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_29652) = coupl(nGC_MI)*dZdR_QED2
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
